Bug 7094 - Ordering from a suggestion does not trigger notification mail (ORDERED)
Summary: Ordering from a suggestion does not trigger notification mail (ORDERED)
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 4211
  Show dependency treegraph
 
Reported: 2011-10-26 15:24 UTC by Katrin Fischer
Modified: 2014-12-07 20:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-26 15:24:54 UTC
Koha has a notice template for notifications to be sent out once a suggestion gets ordered in acquisitions (ORDERED). This seems to be broken.

What I did:

1) Created suggestion in OPAC
2) Accepted suggestion in Staff
3) Ordered suggestion in acquisitions 
> no mail was generated after adding the order line to my basket
4) Closed baskert
> no mail was generated
5) Received suggestion
> no mail was generated

This bug might be a side effect from other suggestion bugs. 

Perhaps: BUG 6893 - suggestions are not longer removed from the list of accepted suggestions after ordering. It seems the status change is broken?
Comment 1 Adrien SAURAT 2011-11-04 15:24:37 UTC
The status change was indeed broken. I sent a patch for the bug 6893 repairing this.
Comment 2 Katrin Fischer 2014-02-21 12:20:04 UTC
Retested today and an ORDERED email was created and sent correctly.